Bug 112252 - taroon-u1 Beta 1 Changelog has %{date} instead of real date
Summary: taroon-u1 Beta 1 Changelog has %{date} instead of real date
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-16 18:17 UTC by Brian Long
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 21:32:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Long 2003-12-16 18:17:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030807

Description of problem:
The SPEC file for the taroon Update 1 Beta Anaconda RPM has %{date} in
the top ChangeLog instead of the real build date.  It also does not
mention which Bugs in bugzilla were fixed.

I am particularly interested in this bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=105586

Version-Release number of selected component (if applicable):
anaconda-9.1.1-3.RHEL

How reproducible:
Always

Steps to Reproduce:
1. Open anaconda.spec
2. View ChangeLog entries
3.
    

Actual Results:  %{date}

Expected Results:  15 Dec 2003

Additional info:

Comment 1 Jeremy Katz 2003-12-16 21:32:14 UTC
Yes, this is the way anaconda's changelog works.  Sorry.  Longer term,
I'd like to move towards doing some things differently, but that will
require significant process changes for me.

%{date} gets expanded out by the definition of date two lines above
the changelog in the specfile.


Note You need to log in before you can comment on or make changes to this bug.